## smbldap-tools 0.8.5

=== Makefile ===
PACKAGE=smbldap-tools
VERSION=0.8.5
RELEASE=3
DESTARCH=smbldap-tools-$(VERSION)
#RELEASE=$(shell date +%s)

# where to build the rpm
TOPDIR=/home/jtournier/redhat
GPG_PATH=/home/jtournier/.gnupg
#BUILD_CMD=rpmbuild -ba
BUILD_CMD=rpmbuild -ba --sign

DESTDIR=
prefix=/usr/local
sbindir=$(prefix)/sbin
sysconfdir=/etc
make=/usr/bin/make
install=/usr/bin/install
rm=/bin/rm
sed=/bin/sed

prep:
	$(sed) -e 's|@SBINDIR@|$(sbindir)|g' smb.conf.in > smb.conf

all:	prep distclean rpm

install:
	@mkdir -p $(DESTDIR)/$(sbindir)
	@mkdir -p $(DESTDIR)/$(sysconfdir)/smbldap-tools/
	$(install) -m0755 smbldap-* smbldap_tools.pm $(DESTDIR)/$(sbindir)
	$(install) -m0644 smbldap.conf $(DESTDIR)/$(sysconfdir)/smbldap-tools/
	$(install) -m0600 smbldap_bind.conf $(DESTDIR)/$(sysconfdir)/smbldap-tools/

clean:
	$(rm) -f smb.conf smbldap.conf

distclean:
	rm -f *~

dist: .diststamp
	@if [ -d $(DESTARCH) ];then echo "About to remove $(DESTARCH) in 3 seconds ..."; sleep 5; fi
	@mkdir -p $(DESTARCH)/doc
	@cp Makefile $(DESTARCH)
	@cp CONTRIBUTORS $(DESTARCH)
	@cp COPYING $(DESTARCH)
	@cp ChangeLog $(DESTARCH)
	@cp FILES $(DESTARCH)
	@cp INSTALL $(DESTARCH)
	@cp README $(DESTARCH)
	@cp TODO $(DESTARCH)
	@cp INFRA $(DESTARCH)
	@cp smbldap-populate $(DESTARCH)
	@cp smbldap-groupadd $(DESTARCH)
	@cp smbldap-groupshow $(DESTARCH)
	@cp smbldap-groupmod $(DESTARCH)
	@cp smbldap-groupdel $(DESTARCH)
	@cp smbldap-useradd $(DESTARCH)
	@cp smbldap-usershow $(DESTARCH)
	@cp smbldap-usermod $(DESTARCH)
	@cp smbldap-userdel $(DESTARCH)
	@cp smbldap-passwd $(DESTARCH)
	@cp smbldap_bind.conf $(DESTARCH)
	@cp smbldap_tools.pm $(DESTARCH)
	@cp smbldap.conf $(DESTARCH)
	@cp smb.conf $(DESTARCH)
	@cp configure.pl $(DESTARCH)
	@cp smbldap-migrate-groups $(DESTARCH)/doc/
	@cp smbldap-migrate-accounts $(DESTARCH)/doc/
	@cp -r doc/*.pdf doc/html $(DESTARCH)/doc/
	echo "Creating tarball...";
	@tar czf $(DESTARCH)-$(RELEASE).tgz $(DESTARCH)
	@rm -r $(DESTARCH)
	@touch .diststamp

build_dir:
	@echo '%_topdir $(TOPDIR)' > $(HOME)/.rpmmacros
	@echo '%_signature gpg' >> $(HOME)/.rpmmacros
	@echo '%_gpg_name Jrme Tournier <jtournier@idealx.com>' >> $(HOME)/.rpmmacros
	@echo '%_gpg_path $(GPG_PATH)' >> $(HOME)/.rpmmacros
	@mkdir -p $(TOPDIR)/BUILD
	@mkdir -p $(TOPDIR)/RPMS/i386
	@mkdir -p $(TOPDIR)/SOURCES
	@mkdir -p $(TOPDIR)/SPECS
	@mkdir -p $(TOPDIR)/SRPMS

rpm: dist build_dir
	@cp -f $(DESTARCH)-$(RELEASE).tgz $(TOPDIR)/SOURCES/
	@cp -f smbldap-tools.spec $(TOPDIR)/SPECS/
	@perl -i -pe's@^\%define version(.*)@\%define version $(VERSION)@' $(TOPDIR)/SPECS/smbldap-tools.spec
	@perl -i -pe's@^\%define release(.*)@\%define release $(RELEASE)@' $(TOPDIR)/SPECS/smbldap-tools.spec
	@cd $(TOPDIR)/SPECS/ && $(BUILD_CMD) smbldap-tools.spec

## smbldap-tools 0.9.4

=== Makefile ===
PACKAGE=smbldap-tools
VERSION=0.9.4
RELEASE=1
DESTARCH=smbldap-tools-$(VERSION)
#RELEASE=$(shell date +%s)

# where to build the rpm
TOPDIR=/home/$(USER)/redhat
GPG_PATH=/home/$(USER)/.gnupg
#BUILD_CMD=rpmbuild -ba
BUILD_CMD=rpmbuild -ba --sign

prefix=/usr
sbindir=$(prefix)/sbin
sysconfdir=/etc/
make=/usr/bin/make
install=/usr/bin/install
rm=/bin/rm
sed=/bin/sed

prep:
	$(sed) -e 's|@SBINDIR@|$(sbindir)|g' smb.conf.in > smb.conf

all:	prep distclean rpm

install:
	@mkdir -p $(sbindir)
	@mkdir -p $(sysconfdir)/smbldap-tools/
	$(install) -m0755 smbldap-* smbldap_tools.pm $(sbindir)
	$(install) -m0644 smbldap.conf $(sysconfdir)/smbldap-tools/
	$(install) -m0600 smbldap_bind.conf $(sysconfdir)/smbldap-tools/

clean:
	$(rm) -f *~

distclean:
	$(rm) -f *~

dist: .diststamp
	@if [ -d $(DESTARCH) ];then echo "About to remove ./$(DESTARCH)/ in 5 seconds ..."; sleep 5; fi
	@rm -rf ./$(DESTARCH)/
	@mkdir -p $(DESTARCH)/doc
	@cp smbldap-tools.spec $(DESTARCH)
	@perl -i -pe's@^\%define version(.*)@\%define version $(VERSION)@' $(DESTARCH)/smbldap-tools.spec
	@perl -i -pe's@^\%define release(.*)@\%define release $(RELEASE)@' $(DESTARCH)/smbldap-tools.spec
	@cp Makefile $(DESTARCH)
	@cp CONTRIBUTORS $(DESTARCH)
	@cp COPYING $(DESTARCH)
	@cp ChangeLog $(DESTARCH)
	@cp FILES $(DESTARCH)
	@cp INSTALL $(DESTARCH)
	@cp README $(DESTARCH)
	@cp TODO $(DESTARCH)
	@cp INFRA $(DESTARCH)
	@cp smbldap-populate $(DESTARCH)
	@cp smbldap-groupadd $(DESTARCH)
	@cp smbldap-groupshow $(DESTARCH)
	@cp smbldap-groupmod $(DESTARCH)
	@cp smbldap-groupdel $(DESTARCH)
	@cp smbldap-useradd $(DESTARCH)
	@cp smbldap-usershow $(DESTARCH)
	@cp smbldap-usermod $(DESTARCH)
	@cp smbldap-userinfo $(DESTARCH)
	@cp smbldap-userlist $(DESTARCH)
	@cp smbldap-userdel $(DESTARCH)
	@cp smbldap-passwd $(DESTARCH)
	@cp smbldap_bind.conf $(DESTARCH)
	@cp smbldap_tools.pm $(DESTARCH)
	@cp smbldap.conf $(DESTARCH)
	@cp configure.pl $(DESTARCH)
	@cp -r migration_scripts $(DESTARCH)/doc/
	@cp -r doc/smbldap-tools/*.pdf doc/smbldap-tools/html $(DESTARCH)/doc/
	@cp slapd.conf $(DESTARCH)/doc/
	@cp smb.conf $(DESTARCH)/doc/
	@rm -rf $(DESTARCH)/doc/{html,migration_scripts}/.svn
	@echo "Creating tarball $(DESTARCH).tgz ...";
	@tar czf $(DESTARCH).tgz $(DESTARCH)
	@rm -r $(DESTARCH)
	@touch .diststamp

build_dir:
	@echo '%_topdir $(TOPDIR)' > $(HOME)/.rpmmacros
	@echo '%_signature gpg' >> $(HOME)/.rpmmacros
	@echo '%_gpg_name Jerome Tournier <jtournier@gmail.com>' >> $(HOME)/.rpmmacros
	@echo '%_gpg_path $(GPG_PATH)' >> $(HOME)/.rpmmacros
	@mkdir -p $(TOPDIR)/BUILD
	@mkdir -p $(TOPDIR)/RPMS/i386
	@mkdir -p $(TOPDIR)/SOURCES
	@mkdir -p $(TOPDIR)/SPECS
	@mkdir -p $(TOPDIR)/SRPMS

rpm: dist build_dir
	@cp -f $(DESTARCH).tgz $(TOPDIR)/SOURCES/
	@cp -f smbldap-tools.spec $(TOPDIR)/SPECS/
	@perl -i -pe's@^\%define version(.*)@\%define version $(VERSION)@' $(TOPDIR)/SPECS/smbldap-tools.spec
	@perl -i -pe's@^\%define release(.*)@\%define release $(RELEASE)@' $(TOPDIR)/SPECS/smbldap-tools.spec
	@perl -i -pe's@^Source0(.*)@Source0: smbldap-tools-$(VERSION).tgz@' $(TOPDIR)/SPECS/smbldap-tools.spec
	@cd $(TOPDIR)/SPECS/ && $(BUILD_CMD) smbldap-tools.spec
home:
	@mkdir -p iallanis/{docs/{smbldap-tools,samba-ldap-howto},old}
	@cp ChangeLog iallanis/
	@#mv iallanis/{*.rpm,*.tgz} iallanis/old/
	@rm -f iallanis/old/{smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm,smbldap-tools-$(VERSION)-$(RELEASE).src.rpm,smbldap-tools-$(VERSION).tgz}
	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm iallanis/
	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm"
	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src.rpm iallanis/
	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).src.rpm"
	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
	@cp smbldap-tools-$(VERSION).tgz iallanis/
	@echo "Signing packages smbldap-tools-$(VERSION).tgz"
	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION).tgz
	@cp doc/smbldap-tools/smbldap-tools.html iallanis/docs/smbldap-tools/index.html
	@cp doc/samba-ldap-howto/smbldap-howto.html iallanis/docs/samba-ldap-howto/index.html
	rsync -avz --delete --delete-excluded --exclude .svn -e "ssh -p 443" iallanis/ 192.168.10.1:/home/www/html/smbldap-tools

gna:
	@cp ChangeLog GNA/packages/
	@cp -i $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm GNA/packages/
	@cp -i $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src.rpm GNA/packages/
	@cp -i smbldap-tools-$(VERSION).tgz GNA/packages/
	@cp doc/smbldap-tools/smbldap-tools.html GNA/docs/smbldap-tools/index.html
	@cp doc/samba-ldap-howto/smbldap-howto.html GNA/docs/samba-ldap-howto/index.html
	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm"
	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).src.rpm"
	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
	@echo "Signing packages smbldap-tools-$(VERSION).tgz"
	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION).tgz
	rsync -avz -e ssh --delete --delete-excluded --exclude .svn GNA/ download.gna.org:/upload/smbldap-tools/

## smbldap-tools 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE=smbldap-tools
-VERSION=0.9.4
+VERSION=0.9.5
 RELEASE=1
 DESTARCH=smbldap-tools-$(VERSION)
 #RELEASE=$(shell date +%s)
@@ -69,7 +69,7 @@
 	@cp smbldap.conf $(DESTARCH)
 	@cp configure.pl $(DESTARCH)
 	@cp -r migration_scripts $(DESTARCH)/doc/
-	@cp -r doc/smbldap-tools/*.pdf doc/smbldap-tools/html $(DESTARCH)/doc/
+	@cp doc/smbldap-tools/*.pdf doc/smbldap-tools/*.html $(DESTARCH)/doc/
 	@cp slapd.conf $(DESTARCH)/doc/
 	@cp smb.conf $(DESTARCH)/doc/
 	@rm -rf $(DESTARCH)/doc/{html,migration_scripts}/.svn
@@ -96,36 +96,38 @@
 	@perl -i -pe's@^\%define release(.*)@\%define release $(RELEASE)@' $(TOPDIR)/SPECS/smbldap-tools.spec
 	@perl -i -pe's@^Source0(.*)@Source0: smbldap-tools-$(VERSION).tgz@' $(TOPDIR)/SPECS/smbldap-tools.spec
 	@cd $(TOPDIR)/SPECS/ && $(BUILD_CMD) smbldap-tools.spec
-home:
-	@mkdir -p iallanis/{docs/{smbldap-tools,samba-ldap-howto},old}
-	@cp ChangeLog iallanis/
-	@#mv iallanis/{*.rpm,*.tgz} iallanis/old/
-	@rm -f iallanis/old/{smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm,smbldap-tools-$(VERSION)-$(RELEASE).src.rpm,smbldap-tools-$(VERSION).tgz}
-	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm iallanis/
 	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm"
-	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
-	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src.rpm iallanis/
+	@cd $(TOPDIR)/RPMS/noarch &&  gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
 	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).src.rpm"
-	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
-	@cp smbldap-tools-$(VERSION).tgz iallanis/
+	@cd $(TOPDIR)/SRPMS/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
 	@echo "Signing packages smbldap-tools-$(VERSION).tgz"
-	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION).tgz
+	@cd $(TOPDIR)/SOURCES/ && gpg --detach smbldap-tools-$(VERSION).tgz
+	@echo "Arch: $(DESTARCH).tgz"
+
+
+home_devel: rpm
+	@mkdir -p iallanis/{docs/{smbldap-tools,samba-ldap-howto},old,development_release}
+	@cp -f iallanis/development_release/ChangeLog "/tmp/ChangeLog-homedevel-`date`"
+	@cp -f ChangeLog iallanis/development_release/
+	@cp $(TOPDIR)/SOURCES/smbldap-tools-$(VERSION){.tgz,.tgz.sig} iallanis/development_release/
+	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch{.rpm,.rpm.sig} iallanis/development_release/
+	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src{.rpm,.rpm.sig} iallanis/development_release/
+	@rsync -avz --delete --delete-excluded --exclude .svn -e "ssh -p 443" iallanis/ 192.168.10.1:/home/www/html/smbldap-tools
+
+home: rpm
+	@cp -f iallanis/ChangeLog "/tmp/ChangeLog-home-`date`"
+	@cp -f ChangeLog iallanis/
 	@cp doc/smbldap-tools/smbldap-tools.html iallanis/docs/smbldap-tools/index.html
 	@cp doc/samba-ldap-howto/smbldap-howto.html iallanis/docs/samba-ldap-howto/index.html
+	@cp $(TOPDIR)/SOURCES/smbldap-tools-$(VERSION){.tgz,.tgz.sig} iallanis/
+	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch{.rpm,.rpm.sig} iallanis/
+	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src{.rpm,.rpm.sig} iallanis/
 	rsync -avz --delete --delete-excluded --exclude .svn -e "ssh -p 443" iallanis/ 192.168.10.1:/home/www/html/smbldap-tools
 
 gna:
-	@cp ChangeLog GNA/packages/
-	@cp -i $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm GNA/packages/
-	@cp -i $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src.rpm GNA/packages/
-	@cp -i smbldap-tools-$(VERSION).tgz GNA/packages/
-	@cp doc/smbldap-tools/smbldap-tools.html GNA/docs/smbldap-tools/index.html
-	@cp doc/samba-ldap-howto/smbldap-howto.html GNA/docs/samba-ldap-howto/index.html
-	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm"
-	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
-	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).src.rpm"
-	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
-	@echo "Signing packages smbldap-tools-$(VERSION).tgz"
-	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION).tgz
+	@cp -f ChangeLog GNA/packages/
+	@cp $(TOPDIR)/SOURCES/smbldap-tools-$(VERSION){.tgz,.tgz.sig} GNA/packages/
+	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch{.rpm,.rpm.sig} GNA/packages/
+	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src{.rpm,.rpm.sig} GNA/packages/
 	rsync -avz -e ssh --delete --delete-excluded --exclude .svn GNA/ download.gna.org:/upload/smbldap-tools/

## smbldap-tools 0.9.7

=== debian/changelog ===
smbldap-tools (0.9.7-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #889308).  Remaining changes:
    - Apply patch from rdratlos to resolve being unable to join a Windows
      7 or Windows 2008 machine to a Samba domain due to the use of cached
      nss credentials. (LP: #814898)
    - 0020_original_doc_html_index.patch: Add index html file.

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 27 Sep 2011 18:05:13 +0000

smbldap-tools (0.9.7-1) unstable; urgency=low

  * New upstream release
    (Closes: #480386, #519551, #561941, #568259, #572711, #582902).

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 27 Sep 2011 15:14:48 +0200

smbldap-tools (0.9.6-1) unstable; urgency=low

  * New upstream release
  * Bumped standard version (no changes needed)
  * Add use-Digest-SHA.patch patch to use Digest::SHA from perl core instead
    of Digest::SHA1. Drop libdigest-sha1-perl from Depends (Closes: #624065).
    Patch from Salvatore Bonaccorso <carnil@debian.org>.

 -- Sergio Talens-Oliag <sto@debian.org>  Thu, 18 Aug 2011 10:55:45 +0200

smbldap-tools (0.9.5-1ubuntu1) oneiric; urgency=low

  * Apply patch from rdratlos to resolve being unable to join a Windows
    7 or Windows 2008 machine to a Samba domain due to the use of cached
    nss credentials. (LP: #814898)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 01 Aug 2011 15:14:32 -0400

smbldap-tools (0.9.5-1) unstable; urgency=low

  * New upstream release (Closes: Bug#548665).

 -- Sergio Talens-Oliag <sto@debian.org>  Thu, 15 Oct 2009 21:34:50 +0200

smbldap-tools (0.9.4-1) unstable; urgency=low

  * New upstream release, development has moved to a new place:
    https://gna.org/projects/smbldap-tools/.
    The new upstream version closes some bugs:
    - smbldap-passwd (make_salt): update shadowMax (to
      $config{defaultMaxPasswordAge}) entry if script used with root
      priviledge (Closes: Bug#404109).
    - current smbldap-groupadd man page documents -o and -p options
      (Closes: Bug#358381).
  * Fix README.Debian according to Daniel Lawson's patch (Closes: #359314).
  * Added Stefan Pfetzing's patch to create a nobody user following the Debian
    style (Closes: #354092).
  * The html version of the documentation is missing from the original
    tarball, I've included a patch that provides a copy downloaded from the
    web (Closes: Bug#425402, as the updated docs are right).
  * Thanks to David Schmitt <david@schmitt.edv-bus.at> for providing a set of
    patches for the package.

 -- Sergio Talens-Oliag <sto@debian.org>  Mon, 24 Sep 2007 13:24:18 +0200

smbldap-tools (0.9.2-3) unstable; urgency=low

  * Added patch to fix UTF-8 usage on smbldap-usermod.

 -- Sergio Talens-Oliag <sto@debian.org>  Fri, 13 Jan 2006 22:02:29 +0100

smbldap-tools (0.9.2-2) unstable; urgency=low

  * Added missing depends (reported by Michael Braun).

 -- Sergio Talens-Oliag <sto@debian.org>  Sat,  7 Jan 2006 17:12:02 +0100

smbldap-tools (0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: Bug#314430).

 -- Sergio Talens-Oliag <sto@debian.org>  Tue,  3 Jan 2006 19:41:59 +0100

smbldap-tools (0.9.1-2) unstable; urgency=low

  * Standars updated, no changes needed.
  * Included 'configure.pl' with the package docs (Closes: Bug#317833).

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 12 Jul 2005 13:15:08 +0200

smbldap-tools (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed README.Debian; tell the user to use -u or -g options with
    smbldap-populate to change initial uid or gid (Closes: Bug#314592).

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 21 Jun 2005 09:35:55 +0200

smbldap-tools (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * This version adds support to change the default HOME creation mode
    (Closes: Bug#309303).
  * Removed patch to change the configuration files paths.

 -- Sergio Talens-Oliag <sto@debian.org>  Fri, 27 May 2005 00:59:40 +0200

smbldap-tools (0.8.8-1) unstable; urgency=low

  * New upstream release (Closes: Bug#306455).

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 26 Apr 2005 20:15:52 +0200

smbldap-tools (0.8.7-4) unstable; urgency=low

  * Changed package priority to extra, as it depends on packages
    that have priority extra; I thought lintian and/or linda looked at
    those things. 

 -- Sergio Talens-Oliag <sto@debian.org>  Sun, 10 Apr 2005 12:49:00 +0200

smbldap-tools (0.8.7-3) unstable; urgency=high

  * Changed the perl dependency to a ${perl:Depends} substitution.

  * Added the dependency on libdigest-sha1-perl (Closes: Bug#298200).

 -- Sergio Talens-Oliag <sto@debian.org>  Sat,  5 Mar 2005 18:51:26 +0100

smbldap-tools (0.8.7-2) unstable; urgency=low

  * Added patch to fix configuration file locations, should have tested it
    better (Bug#296062).

 -- Sergio Talens-Oliag <sto@debian.org>  Sun, 20 Feb 2005 10:04:19 +0100

smbldap-tools (0.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Sergio Talens-Oliag <sto@debian.org>  Fri, 18 Feb 2005 23:20:46 +0100

smbldap-tools (0.8.5-3-2) unstable; urgency=low

  * Add libio-socket-ssl-perl to Depends because it is needed to use the
    package with TLS. Probably it should only be recommended because it is not
    needed to use the Package without TLS, but in fact it is already
    recommended from the libnet-ldap-perl package and a bug has been filed
    anyway (Closes: Bug#286222).

 -- Sergio Talens-Oliag <sto@debian.org>  Thu, 30 Dec 2004 09:26:48 +0100

smbldap-tools (0.8.5-3-1) unstable; urgency=low

  * New upstream release, previous one should have been 0.8.5-2. Anyway I
    don't understand why upstream uses this numbering scheme.

 -- Sergio Talens-Oliag <sto@debian.org>  Sun, 21 Nov 2004 23:32:13 +0100

smbldap-tools (0.8.5-1) unstable; urgency=low

  * Initial Release (Closes: Bug#270777).

  * First personal package built using cdbs ... really easy ... ;)

 -- Sergio Talens-Oliag <sto@debian.org>  Thu,  9 Sep 2004 11:11:31 +0200

=== debian/control ===
Source: smbldap-tools
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sergio Talens-Oliag <sto@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt
Build-Depends-Indep: perl
Standards-Version: 3.9.2.0

Package: smbldap-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libnet-ldap-perl, libio-socket-ssl-perl, libcrypt-smbhash-perl, libunicode-maputf8-perl
Description: Scripts to manage Unix and Samba accounts stored on LDAP
 Set of scripts to manage data relative to users and groups stored in an LDAP
 server. The tools manage POSIX, shadow and Samba (3.0 series) accounts and
 groups.
 .
 This package is used to add/del/mod users and groups in the Linux
 Samba-OpenLDAP Howto
 <http://download.gna.org/smbldap-tools/docs/samba-ldap-howto/>

## smbldap-tools 0.9.9

=== Makefile ===
include ./build/Makefile.maintainer

=== build/Makefile ===
## Common Makefile
## ======================================================================

PACKAGE_NAME=		smbldap-tools
PACKAGE_VERSION=	0.9.6.svn
PACKAGE_TARNAME=	smbldap-tools

## Path
## ----------------------------------------------------------------------

INSTALL_ROOT=		$(DESTDIR)

package_subdir=		/smbldap-tools

prefix=			/usr/local
exec_prefix=		${prefix}
bindir=			${exec_prefix}/bin
sbindir=		${exec_prefix}/sbin
libdir=			${exec_prefix}/lib
libexecdir=		${exec_prefix}/libexec${package_subdir}
sysconfdir=		${prefix}/etc${package_subdir}
localstatedir=		${prefix}/var
datarootdir=		${prefix}/share
datadir=		${datarootdir}${package_subdir}
mandir=			${datarootdir}/man
infodir=		${datarootdir}/info
docdir=			${datarootdir}/doc/${PACKAGE_TARNAME}

vardir=			${localstatedir}/lib${package_subdir}
rundir=			${localstatedir}/run${package_subdir}
logdir=			${localstatedir}/log${package_subdir}

PERL_LIBDIR=		/usr/share/perl5

## Commands, Flags and so on
## ----------------------------------------------------------------------

SUBST=			$(BUILD_COMMON)/subst
CP=			cp -p
RM=			rm -rf
LN_S=			ln -s
INSTALL=		$(BUILD_COMMON)/install-sh -c
CHMOD_FILES=		chmod 0644
CHMOD_CMDS=		chmod 0755
## ----------------------------------------------------------------------

BUILD_TARGETS_TOP=	$(BUILD_COMMON)/subst

## Package local
## ----------------------------------------------------------------------

include $(BUILD_COMMON)/Makefile.package

## Suffix rules
## ======================================================================

.SUFFIXES: .pl .pm .cmd .example .tmpl

.pl.cmd:
	@echo "Building $@ from $< ..."
	@$(RM) $@ $@.tmp
	@$(BUILD_COMMON)/subst <$< >$@.tmp
	@$(CHMOD_CMDS) $@.tmp
	@mv $@.tmp $@

.pl.pm:
	@echo "Building $@ from $< ..."
	@$(RM) $@ $@.tmp
	@$(BUILD_COMMON)/subst <$< >$@.tmp
	@$(CHMOD_FILES) $@.tmp
	@mv $@.tmp $@

.tmpl.example:
	@echo "Building $@ from $< ..."
	@$(RM) $@ $@.tmp
	@$(BUILD_COMMON)/subst <$< >$@.tmp
	@$(CHMOD_FILES) $@.tmp
	@mv $@.tmp $@

## Target rules
## ======================================================================

default:: build

build:: $(BUILD_TARGETS)

$(BUILD_TARGETS):: $(BUILD_COMMON)/subst

install:: $(INSTALL_TARGETS)

install-dir:
	@echo "Creating directory $(INSTALL_ROOT)$(INSTALL_DIR) ..."
	@$(INSTALL) -d $(INSTALL_ROOT)$(INSTALL_DIR)

install-files: install-dir
	@for f in $(INSTALL_FILES); do \
	    echo "Installing file $$f into $(INSTALL_ROOT)$(INSTALL_DIR) ..."; \
	    $(INSTALL) -m 0644 -t='s/\.substed$$//' $$f "$(INSTALL_ROOT)$(INSTALL_DIR)" \
	      || exit 1; \
	done

install-cmd-dir:
	@echo "Creating directory $(INSTALL_ROOT)$(INSTALL_CMD_DIR) ..."
	@$(INSTALL) -d $(INSTALL_ROOT)$(INSTALL_CMD_DIR)

install-cmds: install-cmd-dir
	@for f in $(INSTALL_CMDS); do \
	    echo "Installing file $$f into $(INSTALL_ROOT)$(INSTALL_CMD_DIR) ..."; \
	    $(INSTALL) -m 0755 -t='s/\.cmd$$//' $$f "$(INSTALL_ROOT)$(INSTALL_CMD_DIR)" \
	      || exit 1; \
	done

clean::
	$(RM) $(BUILD_TARGETS) $(BUILD_TARGETS_POST) *.tmp

distclean:: clean

build install clean distclean::
	@if [ -n "$(DIRS)" ]; then \
	    set - $(DIRS); \
	    for subdir in "$$@"; do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	    done \
	fi

build:: $(BUILD_TARGETS_POST)

$(BUILD_COMMON)/subst: $(BUILD_COMMON)/subst.pl $(BUILD_COMMON)/Makefile $(BUILD_COMMON)/Makefile.package
	cp $< $@.tmp
	$(PERL_CMD) -ne 'print if s/^(\w+)\s*=\s*(.*?)\s$$/$$1=$$2\n/' $(BUILD_COMMON)/Makefile $(BUILD_COMMON)/Makefile.package >>$@.tmp
	chmod 0755 $@.tmp
	mv $@.tmp $@

=== debian/changelog ===
smbldap-tools (0.9.9-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1054130). Remaining changes:
    - Apply patch from rdratlos to resolve being unable to join a Windows
      7 or Windows 2008 machine to a Samba domain due to the use of cached
      nss credentials.
    - 0020_original_doc_html_index.patch: Add index html file.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 06 Dec 2012 23:27:14 -0500

smbldap-tools (0.9.9-1) unstable; urgency=low

  * New upstream release (Closes: #647860, #679935, #680939, #681350)
  * Previous upstream version closes: #670246
  * Bumped standard version (no changes needed)

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 07 Aug 2012 20:28:37 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2011 Sergio Talens-Oliag <sto@debian.org>

%:
	dh --with quilt $@

## smbldap-tools 0.9.11

=== debian/changelog ===
smbldap-tools (0.9.11-3) unstable; urgency=medium

  * QA upload.
  * debian/changelog: added missing GPL-2 license paragraph.
  * debian/control: bumped Standards-Version to 4.6.0.

 -- David da Silva Polverari <david.polverari@gmail.com>  Mon, 20 Sep 2021 17:53:09 +0000

smbldap-tools (0.9.11-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 16:08:24 +0000

smbldap-tools (0.9.11-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #692530, #906108, #906109)
  * debian/clean: created to clean build artifacts.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Homepage field.
      - Added Vcs-* fields.
      - Removed redundant 'quilt' dependency from Build-Depends field.
      - Removed unnecessary Build-Depends-Indep field.
  * debian/copyright:
      - Updated Source field to point to the repository of the last active
        maintainer. Thanks to Daniele Palumbo <build-jessie-amd64@retaggio.net>
        and to SATOH Fumiyas <fumiyas at OSS Technology Corp., Japan>. (Closes:
        #906106)
      - Updated upstream address.
      - Using GitHub repository issues in Upstream-Contact field.
  * debian/patches/0003_include_config_script.patch: no longer needed, as
    upstream solved the problem. Deleted.
  * debian/rules:
      - Added a dh_auto_configure override to run build/autogen.sh before
        dh_auto_configure.
      - Removed useless DEB_BUILD_MAINT_OPTIONS export.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address.

 -- David da Silva Polverari <david.polverari@gmail.com>  Thu, 25 Jun 2020 00:25:09 -0500

smbldap-tools (0.9.9-3) unstable; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/copyright: added rights for build/subst.pl.in file, under GPL-2.
  * debian/doc-base: fixed spelling errors.
  * debian/patches:
      - Added DEP-3 header to 0001_debian_nobody.patch.
      - Created 0002_manpage_spelling.patch to fix spelling errors on manpages.
      - Created 0003_include_config_script.patch to include smbldap-config
        back into the install (Closes: #697225). Thanks to Nishanth Aravamudan
        <nish.aravamudan@canonical.com>.
  * debian/README.Debian: fixed spelling errors.
  * debian/tests/*: created to perform trivial CI tests.
  * debian/TODO.Debian: renamed to debian/TODO.

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 19 May 2020 01:22:17 -0500

smbldap-tools (0.9.9-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #831723)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.
  * debian/copyright:
      - Added new rights in the block debian.
      - Migrated to 1.0 format.
  * debian/rules: removed unnecessary information.

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 12 May 2020 19:23:38 -0300

=== debian/control ===
Source: smbldap-tools
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/smbldap-tools
Vcs-Git: https://salsa.debian.org/debian/smbldap-tools.git
Homepage: https://github.com/fumiyas/smbldap-tools

Package: smbldap-tools
Architecture: all
Depends: libcrypt-smbhash-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libunicode-maputf8-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: Scripts to manage Unix and Samba accounts stored on LDAP
 Set of scripts to manage data relative to users and groups stored in an LDAP
 server. The tools manage POSIX, shadow and Samba (3.0 series) accounts and
 groups.
 .
 This package is used to add/del/mod users and groups in the Linux
 Samba-OpenLDAP Howto
 <http://download.gna.org/smbldap-tools/docs/samba-ldap-howto/>

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	build/autogen.sh
	dh_auto_configure

=== debian/tests/control ===
Tests: smoke
Restrictions: allow-stderr
